# 推送与IM功能demo

# 混淆

# mqtt

# 日志

# 异常上报

# 权限控制

# 数据库

# 工具
## 选择文件



# 1.快速开始

- 添加以下仓库

- ```groovy
  maven {
      url "https://repo.eclipse.org/content/repositories/paho-releases/"
  }
  ```

- 添加以下依赖

- ```groovy
  implementation 'cn.org.bjca.trus:push:0.0.1.011'
  ```

### 如果不需要推送服务，跳过以下配置

####  应用级(app)`build.gradle`文件里面，根据实际需求配置

```groovy
android {
    defaultConfig {
        manifestPlaceholders = [
            	// 小米推送参数
                XIAOMI_APP_ID : "2882303761520224743",
                XIAOMI_APP_KEY: "5762022470743",

            	// 华为推送参数
                HUAWEI_APP_ID : "107729977",
        ]
    }
}
```



#### 1.[华为推送sdk](./华为sdk集成.md)





# 2.注册im服务

- 启动服务 
```kotlin
PushSdk.instance.register(userId: String)
```

- 注册消息监听(二选一)

1. 注册callback，自己处理消息分发
```kotlin
PushSdk.instance.setMsgCallback(callback: CallbackListener)
```

2. 在需要监听消息的页面，使用eventbus订阅。
```kotlin

```

- 发送消息

```kotlin
PushSdk.instance.sendTextMessage(toUserId:String, msg: String)
```









































































