package cn.org.bjca.trust.push.db.message

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "message")
data class SzyxMessage(
    @ColumnInfo(name = "message_id") var messageId: String? = null,

    @ColumnInfo(name = "timestamp") var timestamp: Long = 0,

    @ColumnInfo(name = "from_client_id") var fromClientId: String? = null,

    @ColumnInfo(name = "to_client_id") var toClientId: String? = null,

    @ColumnInfo(name = "target") var target: String? = null,

    @ColumnInfo(name = "message_type") var messageType: Int = 0,

    @ColumnInfo(name = "message") var message: String? = null,

    @ColumnInfo(name = "tenantNo") var tenantNo: String? = null,

    // 0=发送中；1-发送成功；2=发送失败
    @ColumnInfo(name = "status") var status: Int = 0,

    @PrimaryKey(autoGenerate = true) var p_id: Int? = null,

    )