package cn.org.bjca.trust.push.message.client

import cn.org.bjca.trust.push.enums.DeviceType
import cn.org.bjca.trust.push.enums.OsType
import cn.org.bjca.trust.push.enums.QRCodeType
import cn.org.bjca.trust.push.message.callback.CallbackListener
import cn.org.bjca.trust.push.message.callback.PingService


class ImConnectOptions(
    var host: String,
    var port: Int,
    var clientId: String,
    var deviceId: String,
    var token: String,
    var osType: OsType,
    var sdkVersion: String
) {
    var pingInterval = 20
    var timeOut = 60
    var connectTimeOutSecond = 30
    var callback: CallbackListener? = null
    var qrCodeType: QRCodeType? = null
}
