package cn.org.bjca.trust.push.message.msg

import cn.org.bjca.trust.push.enums.DeviceType
import cn.org.bjca.trust.push.enums.OsType
import cn.org.bjca.trust.push.enums.PacketType
import cn.org.bjca.trust.push.enums.QRCodeType
import cn.org.bjca.trust.push.message.msg.BaseMessage


class ConnectMessage : BaseMessage(PacketType.CONNECT) {
    var sessionKey: String? = null
    var osType: OsType? = null
    var osVer: String? = null
    var sdkVer: String? = null
    var deviceType: DeviceType? = null
    var token: String? = null
    var clientId: String? = null
    var deviceId: String? = null
    var qrCodeType: QRCodeType? = null
}
