package cn.org.bjca.trust.push.db.device

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity
data class Device(
    @PrimaryKey(autoGenerate = true) var p_id: Int? = null,
    @ColumnInfo(name = "device_id") var device: String = "",
    @ColumnInfo(name = "push_token") var pushToken: String = "",
    // 厂商 MANUFACTURER
    @ColumnInfo(name = "manufacturer") var manufacturer: String = "",
    // 品牌 BRAND
    @ColumnInfo(name = "brand") var brand: String = "",
    // 型号 MODEL
    @ColumnInfo(name = "model") var model: String = "",
    // cpu CPU_ABI
    @ColumnInfo(name = "cpu_abi") var cpuAbi: String = "",
    // 指纹  FINGERPRINT
    @ColumnInfo(name = "fingerprint") var fingerprint: String = "",
    // SUPPORTED_32_BIT_ABIS
    @ColumnInfo(name = "supported_32_bit_abis") var supported32BitAbis: String = "",
    // SUPPORTED_64_BIT_ABIS
    @ColumnInfo(name = "supported_64_bit_abis") var supported64BitAbis: String = "",
    // SUPPORTED_ABIS
    @ColumnInfo(name = "supported_abis") var supportedAbis: String = "",
    )